<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="books" select="document('books.xml')" />
	<xsl:template match="/">
		<html>
			<head><title>Books</title></head>
			<body>
				<xsl:apply-templates select="$books//Book"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="Book">
		<p>
			<xsl:value-of select="@Title"/>
			<xsl:if test="Edition/Translation/@Language = 'Swedish'">
				<br /> - Available in Swedish
			</xsl:if>
			<xsl:choose>
				<xsl:when test="count(Edition/Translation)=0">
					<br /> - No translations
				</xsl:when>
				<xsl:when test="count(Edition/Translation)=1">
					<br /> - One translation
				</xsl:when>
				<xsl:otherwise>
					<br /> - Many translations
				</xsl:otherwise>
			</xsl:choose>			
		</p>
	</xsl:template>
</xsl:transform>
