<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:variable name="books" select="document('books.xml')" />
	<xsl:variable name="publishers" select="document('publishers.xml')" />
	<xsl:template match="/">
		<html>
			<head><title>Books</title></head>
			<body>
				<h1>Books with translations published by Swedish publishers</h1>
				<ol>
					<xsl:apply-templates select="$publishers//Publisher[Address/Country = 'Sweden']"/>
				</ol>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="Publisher">
		<xsl:variable name="p" select="@Name" />
		<li>
			<xsl:value-of select="$p"/>
			<ul>
				<xsl:apply-templates select="$books//Book[Edition/Translation/@Publisher = $p]"/>
			</ul>
		</li>
	</xsl:template>
	<xsl:template match="Book">
		<li>
			<xsl:value-of select="@Title"/>
		</li>
	</xsl:template>
</xsl:transform>
